## ros-kinetic-sick-visionary-t-driver 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sick_visionary_t_driver)

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  image_transport
  roscpp
  roslaunch
)

find_package(Boost REQUIRED COMPONENTS system)
find_package(OpenCV REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp
)

### BUILD ###
include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)

add_executable(sick_visionary_t_driver_node src/node.cpp src/driver.cpp)

target_link_libraries(sick_visionary_t_driver_node
  ${catkin_LIBRARIES}
  ${OpenCV_LIBS}
)

### TEST ###
if(CATKIN_ENABLE_TESTING)
  roslaunch_add_file_check(launch)
endif()

### INSTALL ###
install(TARGETS sick_visionary_t_driver_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-sick-visionary-t-driver (0.0.5-0xenial) xenial; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>  Mon, 31 Jul 2017 22:00:00 -0000

ros-kinetic-sick-visionary-t-driver (0.0.4-0xenial) xenial; urgency=high

  * Merge branch 'indigo-devel' into indigo_release_candidate
  * add SICK copyright
  * reflect apache license in source files
  * add additional maintainer
  * Contributors: Florian Weisshardt, Richard Bormann

 -- Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>  Mon, 31 Jul 2017 22:00:00 -0000

ros-kinetic-sick-visionary-t-driver (0.0.3-0xenial) xenial; urgency=high

  * rename to visionary in changelog
  * rename to visionary
  * Contributors: Florian Weisshardt, Marco Dierschke

 -- Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>  Mon, 10 Oct 2016 22:00:00 -0000

ros-kinetic-sick-visionary-t-driver (0.0.2-0xenial) xenial; urgency=high

  * rename to visionary_t
  * Contributors: Florian Weisshardt

 -- Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>  Thu, 06 Oct 2016 22:00:00 -0000

ros-kinetic-sick-visionary-t-driver (0.0.1-0xenial) xenial; urgency=high

  * fixed warning
  * added parameter:prevent_frame_skipping
    f true: prevents skipping of frames and publish everything, otherwise use newest data to publish to ROS world
  * using pointer instead of copy constructor (optimization)
  * warning instead of debug msg
  * fixed receive queue
  * added functions to check header + size before parsing
  * debug messaging
  * check data header
  * detach publishing data from network thread
  * Renamed launch file to match the driver name
  * Updated formatting and adding parameter comment in launch file.
  * initial version of sick_visionary_t_driver ROS driver
  * Contributors: Florian Weisshardt, Joshua Hampp, Marco Dierschke

 -- Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>  Mon, 01 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-sick-visionary-t-driver
Section: misc
Priority: extra
Maintainer: Joshua Hampp <joshua.hampp@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-sensor-msgs
Homepage: http://wiki.ros.org/sick_visionary_t_driver
Standards-Version: 3.9.2

Package: ros-kinetic-sick-visionary-t-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-sensor-msgs
Description: Open source driver for the SICK Visionary-T 3D TOF camera.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-sick-visionary-t-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
